Bug 1662255 - Suspend to disk (hibernate) broken after upgrade to Fedora 29
Summary: Suspend to disk (hibernate) broken after upgrade to Fedora 29
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-27 08:20 UTC by Basic Six
Modified: 2019-11-27 23:30 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:30:13 UTC


Attachments (Terms of Use)

Description Basic Six 2018-12-27 08:20:58 UTC
Description of problem:

After upgrading to Fedora 29, hibernate is broken. It used to work until Fedora 28.

The hibernate option is missing from the KDE menu now. Suspend to RAM is still there, but when the battery dies after a couple of days, all unsaved work is lost.



Version-Release number of selected component (if applicable):

Fedora 29



How reproducible:

Always



Steps to Reproduce:
1. Use Fedora 28, hibernate...
2. Upgrade to F29 via gnome-software.
3. Hibernate feature unavailable.



Actual results:

Hibernate feature unavailable after upgrade.
It's not possible anymore to keep a bunch of programs running. Now, everything has to be saved and closed and the system has to be shut down whenever the laptop is removed from the station and taken to another location.



Expected results:

A basic system feature that has worked for years shouldn't suddenly be gone. This is unacceptable.



Additional info:

As the KDE menu sometimes stops working after a few days (Bug 1634681), it's often necessary to hibernate via the command line. The following command worked until Fedora 28:

$ qdbus org.kde.Solid.PowerManagement /org/freedesktop/PowerManagement CanHibernate && qdbus org.kde.Solid.PowerManagement /org/freedesktop/PowerManagement Hibernate
false

Comment 1 Basic Six 2018-12-27 08:24:14 UTC
The following error message is logged to /var/log/messages when running "systemctl hibernate":

systemd-logind[864]: Failed to open "/boot/efi/loader/loader.conf": No such file or directory
systemd-logind[864]: Failed to read boot config from "/boot/efi/loader/loader.conf": No such file or directory
systemd-logind[864]: Failed to load bootspec config from "/boot/efi/loader": No such file or directory

Comment 2 Zbigniew Jędrzejewski-Szmek 2019-09-30 16:03:26 UTC
hibernate is a java package that has nothing to do with hibernation.
I'll reassign this to systemd for now.

Comment 3 Ben Cotton 2019-10-31 18:47:51 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-11-27 23:30:13 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.